Bug 963198 - Please drop /etc/sysconfig/modules/kvm.modules from qemu-system-x86
Please drop /etc/sysconfig/modules/kvm.modules from qemu-system-x86
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paolo Bonzini
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WhyWeBootSoSlow
  Show dependency treegraph
 
Reported: 2013-05-15 07:26 EDT by Lennart Poettering
Modified: 2013-05-31 23:21 EDT (History)
9 users (show)

See Also:
Fixed In Version: qemu-1.4.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-18 00:54:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2013-05-15 07:26:53 EDT
The KVM kernel modules can do CPU-feature based kernel module auto-loading anyway these days, so there's no need for any special userspace magic in userspace anymore:

$ modinfo kvm-intel
...
alias:          x86cpu:vendor:*:family:*:model:*:feature:*0085*
...

$ modinfo kvm-amd
...
alias:          x86cpu:vendor:*:family:*:model:*:feature:*00C2*
...
Comment 1 Fedora Update System 2013-05-15 18:05:44 EDT
qemu-1.4.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.1-2.fc19
Comment 2 Paolo Bonzini 2013-05-16 05:33:45 EDT
What about vhost-net?  Is there a way to load it without relying on fedora-load-modules.service?
Comment 3 Paolo Bonzini 2013-05-16 05:45:55 EDT
Ah, learnt about modules-load.d.
Comment 4 Fedora Update System 2013-05-16 07:01:17 EDT
qemu-1.4.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.1-3.fc19
Comment 5 Lennart Poettering 2013-05-16 07:42:17 EDT
$ modinfo vhost-net
...
alias:          devname:vhost-net
alias:          char-major-10-238
...

That suggests vhost-net is also auto-loaded on demand.

Also see:

   cat /usr/lib/modules/`uname -r`/modules.devname

Which shows all device nodes that are created by udev, and which the kernel then will auto-load modules for. As you see both uinput and vhost_net are listed there. Hence, please do not do any manual module loading anymore, neither via /etc/sysconfig/modules/* nor via /usr/lib/modules-load.d/. This all is unnecessary.
Comment 6 Paolo Bonzini 2013-05-16 08:19:22 EDT
Yup, thanks Lennart.

I removed vhost-net from the script.

Only PPC and s390 remain, and I've asked the upstream KVM maintainers to add a devname:kvm alias.  (On x86, the kvm module that implements devname:kvm is better picked up as a dependency of kvm-{amd,intel}).
Comment 7 Fedora Update System 2013-05-16 13:22:44 EDT
Package qemu-1.4.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.4.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8354/qemu-1.4.1-3.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-05-18 00:54:11 EDT
qemu-1.4.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-05-25 15:44:12 EDT
qemu-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-1.fc19
Comment 10 Fedora Update System 2013-05-27 09:13:51 EDT
qemu-1.4.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-2.fc19
Comment 11 Fedora Update System 2013-05-31 23:21:07 EDT
qemu-1.4.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.